Folks.StructuredName.to_string_with_format – folks Reference Manual

# to_string_with_format

## Description:

public string to_string_with_format (string name_fmt)

Formatted version of the structured name.

This allows a custom format string to be specified, using the placeholders described on http://lh.2xlibre.net/values/name_fmt/. This `name_fmt` must almost always be translated to the current locale. (Ideally it would be translated to the locale of the persona whose name is being formatted, but such locale information isn’t available.)

## Parameters:

name_fmt | format string for the name

## Returns:

name formatted according to the given format

## Since:

0.9.7